package com.emergency.avenue.common.core.constant;

import java.lang.annotation.*;

@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.FIELD})
@Documented
public @interface FieldParam {

	/**
	 * 字段类型 默认字典
	 *
	 * @return
	 */
	String type() default "";

	/**
	 * 字典dictType
	 *
	 * @return
	 */
	String dictType() default "";

	/**
	 * 要翻译的字段 目标字段为翻译的字段+Str
	 *
	 * @return
	 */
	String targetField() default "";

	/**
	 * 要翻译的字段值类型
	 *
	 * @return
	 */
	Class targetFieldValueClazz() default String.class;

}
